Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-1937

redhat-lsb is required by kafka daemon

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.8.0
    • Fix Version/s: 1.0.0, 1.1.0
    • Component/s: build
    • Labels:
      None

      Description

      The Kafka daemon require "redhat-lsb* to be installed first so that it can successfully bring the daemon up.

      root@fcf41830c410 /]# service kafka-server status
      /etc/init.d/kafka-server: line 34: /lib/lsb/init-functions: No such file or directory
      /etc/init.d/kafka-server: line 134: pidofproc: command not found
      /etc/init.d/kafka-server: line 155: log_failure_msg: command not found
      

        Activity

        Hide
        evans_ye Evans Ye added a comment -

        Sorry I've commit this patch with the author root in master. I've fix the author when cherry picking to the branch-1.0. Now the patch is in both master and branch-1.0.

        Show
        evans_ye Evans Ye added a comment - Sorry I've commit this patch with the author root in master. I've fix the author when cherry picking to the branch-1.0. Now the patch is in both master and branch-1.0.
        Hide
        evans_ye Evans Ye added a comment -

        As Konstantin Boudnik and I discussed in BIGTOP-1886, it's too late to apply feature branch model in branch-1.0. If we do so, then those cherry picked commit will be merge back in master and taint the master branch. A better solution is to keep using cherry pick to add commits in 1.0 branch and start using new model in 1.1 branch.

        Show
        evans_ye Evans Ye added a comment - As Konstantin Boudnik and I discussed in BIGTOP-1886 , it's too late to apply feature branch model in branch-1.0. If we do so, then those cherry picked commit will be merge back in master and taint the master branch. A better solution is to keep using cherry pick to add commits in 1.0 branch and start using new model in 1.1 branch.
        Hide
        oflebbe Olaf Flebbe added a comment -

        [~evans ye]: While redhat-lsb has a large footprint, this fixes the problem.
        +1.

        A +1 for adressing 1.0 with this issue, too. As we discussed earlier we would have to create a new branch from the current HEAD of branch-1.0 applying this path to it and merge this patch both to bigtop/master and branch-1.0

        I noticed that one cannot install the kafka package on centos 7 because /usr/bin is packaged. Will issue a new JIRA for fixing this problem.

        Show
        oflebbe Olaf Flebbe added a comment - [~evans ye] : While redhat-lsb has a large footprint, this fixes the problem. +1. A +1 for adressing 1.0 with this issue, too. As we discussed earlier we would have to create a new branch from the current HEAD of branch-1.0 applying this path to it and merge this patch both to bigtop/master and branch-1.0 I noticed that one cannot install the kafka package on centos 7 because /usr/bin is packaged. Will issue a new JIRA for fixing this problem.
        Hide
        evans_ye Evans Ye added a comment -

        Submitted a patch and wish can be fixed in 1.0.

        Show
        evans_ye Evans Ye added a comment - Submitted a patch and wish can be fixed in 1.0.

          People

          • Assignee:
            evans_ye Evans Ye
            Reporter:
            evans_ye Evans Ye
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development